%define section free
%define shortname commons-dbutils

Name:           jakarta-%{shortname}
Version:        1.0
Release:        1jpp
Epoch:          0
Summary:        JDBC Utility Component

License:        Apache Software License
Group:          Development/Libraries/Java
URL:            http://jakarta.apache.org/commons/dbutils/
Source0:        http://archive.apache.org/dist/jakarta/commons/dbutils/source/commons-dbutils-1.0-src.tar.gz
Patch0:         %{name}-crosslink.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage

BuildArch:      noarch
BuildRequires:  ant, jpackage-utils >= 0:1.5, jdbc-stdext, junit, java-javadoc
Requires:       jdbc-stdext
Provides:       %{shortname} = %{epoch}:%{version}-%{release}

%description
DbUtils is a small set of classes designed to make working with JDBC
easier. JDBC resource cleanup code is mundane, error prone work so
these classes abstract out all of the cleanup tasks from your code
leaving you with what you really wanted to do with JDBC in the first
place: query and update data.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}.


%prep
%setup -q -n %{shortname}-%{version}
%patch0 -p0


%build
export CLASSPATH=%(build-classpath jdbc-stdext)
ant \
  -Dnoget=true \
  -Dj2se.apidoc=%{_javadocdir}/java \
  -Dfinal.name=%{name}-%{version} \
  jar javadoc


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 target/%{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{shortname}-%{version}.jar
ln -s %{shortname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{shortname}.jar
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pR dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}


%changelog
* Sun Dec 14 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.0-1jpp
- First build.
